package de.ba_leipzig.discoinv.db;

import java.io.Serializable;

public class AssociationInfo<I extends Identifiable> implements Serializable {
	private static final long serialVersionUID = 6011466430523200592L;
	
	private I object;
	private int needed;
	private int present;
	
	public AssociationInfo() {	
	}
	
	public AssociationInfo(I object, int present) {
		this.object = object;
		this.present = present;
	}
	
	public AssociationInfo(I object, int present, int needed) {
		this.object = object;
		this.present = present;
		this.needed = needed;
	}
	
	public int getNeeded() {
		return needed;
	}
	
	public I getObject() {
		return object;
	}
	
	public int getPresent() {
		return present;
	}
	
	public void setNeeded(int needed) {
		this.needed = needed;
	}
	
	public void setObject(I object) {
		this.object = object;
	}
	
	public void setPresent(int present) {
		this.present = present;
	}
}