package de.ba_leipzig.discoinv.db;

public class Beverage extends InvObject {
	private static final long serialVersionUID = 2395639913021355953L;
	
	private boolean alc;
	private boolean refund;
	private int capacity;
	private BeverageType type;
	
	/**
	 * Ein geschlossenes Getrnk erstellen
	 */
	public Beverage(){
		// Standardkonstruktor
	}
	
	/**
	 * Ein geschlossenes Getrnk erstellen
	 * @param id
	 * @param name
	 * @param alc
	 * @param refund
	 * @param capacity
	 * @param type
	 */
	public Beverage(int id, String name, boolean alc, boolean refund, int capacity, BeverageType type) {
		super(id, name);
		this.alc=alc;
		this.refund=refund;
		this.capacity=capacity;
		this.type=type;
	}

	public boolean isAlc() {
		return alc;
	}
	
	public int getCapacity() {
		return capacity;
	}
	
	public boolean isRefund() {
		return refund;
	}
	
	public BeverageType getType() {
		return type;
	}
	
	public void setAlc(boolean alc) {
		this.alc = alc;
	}
	
	public void setCapacity(int capacity) {
		this.capacity = capacity;
	}
	
	public void setRefund(boolean refund) {
		this.refund = refund;
	}
	
	public void setType(BeverageType type) {
		this.type = type;
	}
}