package de.ba_leipzig.discoinv.db;

import java.io.Serializable;

public class InvObject implements Identifiable, Nameable, Serializable {
	private static final long serialVersionUID = -4885174397585896793L;
	
	private Integer id;
	private String name;
	private Place place;
	
	/**
	 * Ein Inventarobjekt erzeugen
	 */
	public InvObject(){
		// Standardkonstruktor
	}
	
	/**
	 * Ein Inventarobjekt erzeugen
	 * @param id
	 * @param name
	 */
	public InvObject(int id, String name){
		this.id=id;
		this.name=name;
	}

	public int getID() {
		return ((id==null)?(0):(id));
	}
	
	public String getName() {
		return name;
	}
	
	public Place getPlace() {
		return place;
	}
	
	public void setID(int id) {
		this.id = id;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public void setPlace(Place place) {
		this.place = place;
	}
	
	public String toString(){
		return getName();
	}
}