package de.ba_leipzig.discoinv.db;

import java.util.Set;

public class PlaceWithObjects extends Place {
	private static final long serialVersionUID = 3601826332880961445L;
	private Set<? extends AssociationInfo<? extends InvObject>> objects;

	public PlaceWithObjects(){
		// Standardkonstruktor
	}

	public PlaceWithObjects(Integer id, String name, Integer depotID) {
		super(id, name, depotID);
	}

	public PlaceWithObjects(Integer id, String name) {
		super(id, name);
	}
	
	public PlaceWithObjects(Place place) {
		super(place.getID(), place.getName(), place.getDepotID());
	}
	
	public Set<? extends AssociationInfo<? extends InvObject>> getObjectInfo() {
		return objects;
	}
	
	public void setObjects(Set<? extends AssociationInfo<? extends InvObject>> objects) {
		this.objects = objects;
	}
}