package de.ba_leipzig.discoinv.tree;

import java.util.*;

import javax.swing.*;
import javax.swing.tree.*;

public class TreeCellEditor extends DefaultTreeCellEditor {
	public TreeCellEditor(JTree tree, DefaultTreeCellRenderer renderer){
		super(tree, renderer);
	}
	
	public boolean isCellEditable(EventObject event){
		boolean generally = super.isCellEditable(event);
		
		TreePath path = tree.getSelectionPath();
		if(path.getPathCount() > 2){
			return true && generally;
		}
		else{
			return false;
		}
	}
}