package de.ba_leipzig.discoinv.tree;

public class TreeElement<T> {
	private T object;
	private TreeObjectType type;
	
	public TreeElement(T object, TreeObjectType type){
		if(object == null || type == null){
			throw new IllegalArgumentException("Arguments must not be null!");
		}
		
		this.object = object;
		this.type = type;
	}
	
	public T getObject(){
		return object;
	}
	
	public TreeObjectType getType(){
		return type;
	}
	
	public String toString(){
		return object.toString();
	}
}